import { h, defineComponent, toRef } from 'vue';
import { useStyle } from '../../../_mixins';
import style from './styles/index.cssr';
export default defineComponent({
    name: 'BaseIcon',
    props: {
        clsPrefix: {
            type: String,
            required: true
        },
        onClick: Function,
        onMousedown: Function
    },
    setup(props) {
        useStyle('BaseIcon', style, toRef(props, 'clsPrefix'));
    },
    render() {
        return (h("i", { class: `${this.clsPrefix}-base-icon`, onClick: this.onClick, onMousedown: this.onMousedown }, this.$slots));
    }
});
